function z = getdv(p, x, y, strf),

% GETDV 1st derivative of the (Open) 2-D B-Spline with uniform 
% internal knots. 
%
% GETDV(p, x, y, strType). The object p is a BSP object, 
% (x, y) is the required location, and strType is either 'dzdx' 
% or 'dzdy'.
%
% 

% added matrix return capability
M   = bsp2dgetMdv(p.n, p.m, p.kt{1}, p.kt{2}, p.degree(1), p.degree(2), x, y, strf);
z   = M*p.coeff(:); 
return 
