function print(p),

% PRINTSHOW show the B -Spline details 
%
%  show(p)
%
% where
%       p = Zernike 

fprintf('DETAILS\n');
fprintf('  FAMILY  = %s\n', p.family);
fprintf('  TYPE    = %s\n', p.type);
fprintf('  (N, M)  = (%d, %d)\n', p.n, p.m);
fprintf('  ORDER   = (%d, %d)\n', p.order);
fprintf('  DEGREE  = (%d, %d)\n', p.degree);
fprintf('  KNOT(X) = {%s}\n', num2csv(p.kt{1}));
fprintf('  KNOT(Y) = {%s}\n\n', num2csv(p.kt{2}));
fprintf('PRETTY PRINT\n');
fprintf('            N = %d, M = %d\n', p.n, p.m);
fprintf('            ------- \n');
fprintf('  Z(X, Y) = >>  C(I, J) B_I(X) B_J(Y)\n');
fprintf('            -------\n');
fprintf('            I =0, J = 0\n');
fprintf('\n');
fprintf('COEFFICIENTS\n');

fprintf('--------------------------------------------------------------\n');
fprintf('   #   |   I   |   J   |    VALUE      |  Description\n');
fprintf('--------------------------------------------------------------\n');

k = 1;
for i =0:p.n, 
 for j =0:p.m,    
    fprintf('%4d.  |  %2d   |  %2d   |   %2.6f    |  \n', k, i, j, p.coeff(j+1, i+1));
    k = k + 1;
 end 
end 

fprintf('--------------------------------------------------------------\n');

return


return

